summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2016-12-12 17:24:10 +0000
committerGerrit Code Review <gerrit@fd.io>2016-12-12 17:24:10 +0000
commitc30e95d9b01d1596fd9e80b65b459e2b26c3b79b (patch)
treef8662834cafda516c9edbc2e1cfe1a3b0272cb01 /jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
parent52cbed35ba66e9874acec2b140ae55002eaad563 (diff)
parentc96e29af295322912aad05b3170a639f0ffefc51 (diff)
Merge "CSIT-484: New csit-hc2vpp job set"
Diffstat (limited to 'jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh')
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
new file mode 100644
index 000000000..9bc42ad3e
--- /dev/null
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit --branch master
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
+ exit
+fi
+
+cd csit
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-hc2vpp-integration.sh ]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-integration.sh
+ # run the script
+ ./bootstrap-hc2vpp-integration.sh
+fi
+
+# vim: ts=4 ts=4 sts=4 et :